Bug 697317 - xbindkeys aborts on malloc() corruption on third bound keystroke
Summary: xbindkeys aborts on malloc() corruption on third bound keystroke
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xbindkeys
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f38f261856cd6ae8ef1a052cc98...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-17 18:08 UTC by James
Modified: 2011-05-29 23:19 UTC (History)
1 user (show)

Fixed In Version: xbindkeys-1.8.5-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-29 23:19:57 UTC
Type: ---


Attachments (Terms of Use)
File: event_log (5.71 KB, text/plain)
2011-04-17 18:08 UTC, James
no flags Details
File: smaps (19.37 KB, text/plain)
2011-04-17 18:08 UTC, James
no flags Details
File: dsos (2.46 KB, text/plain)
2011-04-17 18:08 UTC, James
no flags Details
File: maps (3.01 KB, text/plain)
2011-04-17 18:08 UTC, James
no flags Details
File: backtrace (12.87 KB, text/plain)
2011-04-17 18:08 UTC, James
no flags Details

Description James 2011-04-17 18:08:29 UTC
abrt version: 2.0.0
comment: Had xbindkeys set to start on login. Found Abrt log indicating it had died.
architecture: i686
cmdline: xbindkeys
component: xbindkeys
executable: /usr/bin/xbindkeys
uid: 500
kernel: 2.6.38.3-ntablet2.cpt.a3k-12
crash_function: __libc_message
package: xbindkeys-1.8.3-2.fc15
reason: Process /usr/bin/xbindkeys was killed by signal 6 (SIGABRT)
username: james
rating: 4
time: 1303061801
os_release: Fedora release 15 (Lovelock)

Text file: event_log, 5851 bytes
Text file: smaps, 19831 bytes
Binary file: coredump, 1335296 bytes
Text file: dsos, 2523 bytes
Text file: maps, 3087 bytes
Text file: backtrace, 13180 bytes

build_ids
-----
72c0b4db2af2a8519bc60b2b5f2ac96f92126840
c849b82b9c25c89426bdfd0df07fcf0bf3c952dc
f9a96e2ed036ba670aa4cf9022515da8707b22de
a7dca7bd89a299ddb05751fe6dd0d6df6cc4d3b1
49931b2c4aee842fba3a4d908ca1f425b52eeae5
af97663d7b1eb6064f63b0bd30df9dcd6357aad3
15bab279752ad8e30f901abae77bcb1ed1f38977
efe42096ce56dbae75caad22ab18321b786e1c52
05120fd231a67d80ed013bd827a5ba797941852f
7b0516e9b3f6502abb6b3ab1b65fb406d7d48902
1ee4b38cfc9ae1d8c6d64517f007df989961149c
75d8663aa058ebdc54768b6f97055b619b96d5ed
0c14e19cfa71be8dbee7582f9b90d4a5b886051e
9ab1595028e3421e37442d01b1147b7717d9616b
798697a352bae4178953ba502fb04f33dd0ed987
b19c85dd97c0f3236fcdb90cb7188bb48eb14b4b

Comment 1 James 2011-04-17 18:08:32 UTC
Created attachment 492730 [details]
File: event_log

Comment 2 James 2011-04-17 18:08:34 UTC
Created attachment 492731 [details]
File: smaps

Comment 3 James 2011-04-17 18:08:37 UTC
Created attachment 492732 [details]
File: dsos

Comment 4 James 2011-04-17 18:08:39 UTC
Created attachment 492733 [details]
File: maps

Comment 5 James 2011-04-17 18:08:42 UTC
Created attachment 492734 [details]
File: backtrace

Comment 6 James 2011-04-17 18:40:39 UTC
I've changed the original bug summary from "[abrt] xbindkeys-1.8.3-2.fc15: __libc_message: Process /usr/bin/xbindkeys was killed by signal 6 (SIGABRT)", having observed the following. My .xbindkeysrc is bound to Ctrl+Alt+{Up|Down|Left|Right} (these keys have been unbound from GNOME). Running xbindkeys and pressing Ctrl+Alt+Up three times in succession goes as follows:


$ xbindkeys -n -v
displayName = :0
rc file = /home/james/.xbindkeysrc
rc guile file = /home/james/.xbindkeysrc.scm
getting rc guile file /home/james/.xbindkeysrc.scm.
WARNING : /home/james/.xbindkeysrc.scm not found or reading not allowed.
4 keys in /home/james/.xbindkeysrc

min_keycode=8     max_keycode=255 (ie: know keycodes)
"reorient-tablet left"
    Control+Alt + Left
"reorient-tablet right"
    Control+Alt + Right
"reorient-tablet normal"
    Control+Alt + Up
"reorient-tablet upside-down"
    Control+Alt + Down
starting loop...
Key press !
e.xkey.keycode=111
e.xkey.state=12
"reorient-tablet normal"
    Control+Alt + Up
got screen 0 for window aa
Start program with fork+exec call
Key release !
e.xkey.keycode=111
e.xkey.state=12
Key press !
e.xkey.keycode=111
e.xkey.state=12
"reorient-tablet normal"
    Control+Alt + Up
got screen 0 for window aa
Start program with fork+exec call
Key release !
e.xkey.keycode=111
e.xkey.state=12
Key press !
e.xkey.keycode=111
e.xkey.state=12
"reorient-tablet normal"
    Control+Alt + Up
*** glibc detected *** xbindkeys: malloc(): memory corruption (fast): 0x098431d0 ***
^C

Comment 7 Fedora Update System 2011-05-22 23:04:29 UTC
xbindkeys-1.8.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xbindkeys-1.8.5-1.fc15

Comment 8 Fedora Update System 2011-05-25 03:26:10 UTC
Package xbindkeys-1.8.5-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xbindkeys-1.8.5-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xbindkeys-1.8.5-1.fc15
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-05-29 23:19:47 UTC
xbindkeys-1.8.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.